Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
event::TimerEventManager Interface Reference

TimerEventManager interface. More...

`import <TimerEventManager.idl;`

## Classes
struct | Range
| Range structure. More...
struct | Schedule
| Schedule structure. More...
struct | TimerEvent
| TimerEvent structure. More...

## Public Member Functions
int | addTimerEvent (in Schedule schedule, out vector< string > eventId)
| Add a new timer event.
int | modifyTimerEvent (in vector< string > eventId, in Schedule schedule)
| Modify a timer event.
int | deleteTimerEvent (in vector< string > eventId)
| Delete a timer event.
vector< TimerEvent > | listTimerEvents ()
| List all timer events.

## Public Attributes
constant int | NO_ERROR = 0
| Error codes.
constant int | ERR_INVALID_SCHEDULE = 1
| failure in schedule
constant int | ERR_UNKNOWN_EVENT_ID = 2
| unknown eventId
constant int | ERR_CREATE_EVENT_ID_FAILED = 3
| creating eventId failed
constant int | ERR_MAX_TIMERS_CREATED = 4
| max number of timers have been created
constant int | JAN = 1
| Schedule defines and structures.
constant int | FEB = 2
| February.
constant int | MAR = 3
| March.
constant int | APR = 4
| April.
constant int | MAY = 5
| May.
constant int | JUN = 6
| June.
constant int | JUL = 7
| July.
constant int | AUG = 8
| August.
constant int | SEP = 9
| September.
constant int | OCT = 10
| October.
constant int | NOV = 11
| November.
constant int | DEC = 12
| December.
constant int | SUN = 0
| Days of week.
constant int | MON = 1
| Monday.
constant int | TUE = 2
| Tuesday.
constant int | WED = 3
| Wednesday.
constant int | THU = 4
| Thursday.
constant int | FRI = 5
| Friday.
constant int | SAT = 6
| Saturday.

## Detailed Description

TimerEventManager interface.

Definition at line 13 of file TimerEventManager.idl.

## Member Function Documentation

## ◆ addTimerEvent()

int event::TimerEventManager::addTimerEvent | ( | in Schedule | schedule,
|  | out vector< string > | eventId )

Add a new timer event.

The timer event id field is allocated automatically and returned in the timerEventId parameter.

Parameters

  schedule | schedule for timer
  eventId | created event id

Returns
  NO_ERROR if OK
  ERR_INVALID_SCHEDULE if schedule is invalid
  ERR_CREATE_EVENT_ID_FAILED if generating the eventId failed
  ERR_MAX_TIMERS_CREATED if max timer count already created

## ◆ deleteTimerEvent()

int event::TimerEventManager::deleteTimerEvent | ( | in vector< string > | eventId | ) |

Delete a timer event.

Parameters

  eventId | event id

Returns
  NO_ERROR if OK
  ERR_UNKNOWN_EVENT_ID if eventId is unknown

## ◆ modifyTimerEvent()

int event::TimerEventManager::modifyTimerEvent | ( | in vector< string > | eventId,
|  | in Schedule | schedule )

Modify a timer event.

Parameters

  eventId | event id
  schedule | new schedule for timer

Returns
  NO_ERROR if OK
  ERR_INVALID_SCHEDULE if schedule is invalid
  ERR_UNKNOWN_EVENT_ID if eventId is unknown

## Member Data Documentation

## ◆ APR

constant int event::TimerEventManager::APR = 4

April.

Definition at line 32 of file TimerEventManager.idl.

## ◆ AUG

constant int event::TimerEventManager::AUG = 8

August.

Definition at line 36 of file TimerEventManager.idl.

## ◆ DEC

constant int event::TimerEventManager::DEC = 12

December.

Definition at line 40 of file TimerEventManager.idl.

## ◆ ERR_CREATE_EVENT_ID_FAILED

constant int event::TimerEventManager::ERR_CREATE_EVENT_ID_FAILED = 3

creating eventId failed

Definition at line 19 of file TimerEventManager.idl.

## ◆ ERR_INVALID_SCHEDULE

constant int event::TimerEventManager::ERR_INVALID_SCHEDULE = 1

failure in schedule

Definition at line 17 of file TimerEventManager.idl.

## ◆ ERR_MAX_TIMERS_CREATED

constant int event::TimerEventManager::ERR_MAX_TIMERS_CREATED = 4

max number of timers have been created

Definition at line 20 of file TimerEventManager.idl.

## ◆ ERR_UNKNOWN_EVENT_ID

constant int event::TimerEventManager::ERR_UNKNOWN_EVENT_ID = 2

unknown eventId

Definition at line 18 of file TimerEventManager.idl.

## ◆ FEB

constant int event::TimerEventManager::FEB = 2

February.

Definition at line 30 of file TimerEventManager.idl.

## ◆ FRI

constant int event::TimerEventManager::FRI = 5

Friday.

Definition at line 47 of file TimerEventManager.idl.

## ◆ JAN

constant int event::TimerEventManager::JAN = 1

Schedule defines and structures.

The goal of the following declarations is to express crontab entries in a structured way. Months January

Definition at line 29 of file TimerEventManager.idl.

## ◆ JUL

constant int event::TimerEventManager::JUL = 7

July.

Definition at line 35 of file TimerEventManager.idl.

## ◆ JUN

constant int event::TimerEventManager::JUN = 6

June.

Definition at line 34 of file TimerEventManager.idl.

## ◆ MAR

constant int event::TimerEventManager::MAR = 3

March.

Definition at line 31 of file TimerEventManager.idl.

## ◆ MAY

constant int event::TimerEventManager::MAY = 5

May.

Definition at line 33 of file TimerEventManager.idl.

## ◆ MON

constant int event::TimerEventManager::MON = 1

Monday.

Definition at line 43 of file TimerEventManager.idl.

## ◆ NO_ERROR

constant int event::TimerEventManager::NO_ERROR = 0

Error codes.

operation successful, no error

Definition at line 16 of file TimerEventManager.idl.

## ◆ NOV

constant int event::TimerEventManager::NOV = 11

November.

Definition at line 39 of file TimerEventManager.idl.

## ◆ OCT

constant int event::TimerEventManager::OCT = 10

October.

Definition at line 38 of file TimerEventManager.idl.

## ◆ SAT

constant int event::TimerEventManager::SAT = 6

Saturday.

Definition at line 48 of file TimerEventManager.idl.

## ◆ SEP

constant int event::TimerEventManager::SEP = 9

September.

Definition at line 37 of file TimerEventManager.idl.

## ◆ SUN

constant int event::TimerEventManager::SUN = 0

Days of week.

Sunday

Definition at line 42 of file TimerEventManager.idl.

## ◆ THU

constant int event::TimerEventManager::THU = 4

Thursday.

Definition at line 46 of file TimerEventManager.idl.

## ◆ TUE

constant int event::TimerEventManager::TUE = 2

Tuesday.

Definition at line 44 of file TimerEventManager.idl.

## ◆ WED

constant int event::TimerEventManager::WED = 3

Wednesday.

Definition at line 45 of file TimerEventManager.idl.

The documentation for this interface was generated from the following file:

- TimerEventManager.idl